libdap::D4FilterClauseList Class Reference

List of DAP4 Filter Clauses. More...

`#include <D4FilterClause.h>`

## Public Types

typedef std::vector< D4FilterClause * >::const_iterator | citer
typedef std::vector< D4FilterClause * >::iterator | iter

## Public Member Functions

void | add_clause (D4FilterClause *c)
citer | cbegin () const
citer | cend () const
| D4FilterClauseList (const D4FilterClauseList &src)
| D4FilterClauseList (D4FilterClause *c)
D4FilterClause * | get_clause (unsigned int i)
D4FilterClauseList & | operator= (const D4FilterClauseList &rhs)
unsigned int | size () const
bool | value (DMR &dmr)
| Evaluate the list of clauses. More...
bool | value ()
| Evaluate the list of clauses. More...

## Detailed Description

List of DAP4 Filter Clauses.

Definition at line 44 of file D4FilterClause.h.

## Member Function Documentation

## value() [1/2]

bool libdap::D4FilterClauseList::value | ( | DMR & | dmr | ) |

Evaluate the list of clauses.

Evaluate the list of clauses and return false when/if one is found to be false. This evaluates the clauses in the order they are stored and stops evaluation a the first false clause.

Parameters

  dmr | Use this DMR when evaluating clauses - for clauses that contain functions, not currently in the DAP4 specification.

Returns
  True if each of the clauses' value is true, otherwise false

Definition at line 74 of file D4FilterClause.cc.

## value() [2/2]

bool libdap::D4FilterClauseList::value | ( |  | ) |

Evaluate the list of clauses.

This version of value() does not need a DMR parameter (but will not work if the clauses contain a function call (which is not currently supported by the spec).

Returns
  True if each clauses' value is true, false otherwise

See also
  D4FilterClauseList::value(DMR &dmr)

Definition at line 95 of file D4FilterClause.cc.

The documentation for this class was generated from the following files:

- D4FilterClause.h
- D4FilterClause.cc